<?php
include_once(_DIR_EXT.'/HTML/c_page_JSON.php') ;
class c_services_poll_section_upload_file extends c_page_JSON
{ function show()
  { $res=array() ;
    ob_start() ;
    if (_sizeof($_FILES)) $res=$this->upload_doc() ;
    $res['report']=ob_get_clean() ;
    $this->output_JSON($res) ;
  }

  function upload_doc()
  {   $result=array() ;
      if (_sizeof($_FILES))
       { foreach($_FILES as $file_info)
           {   ?><strong>Загружаем файла "<?echo $file_info['name']?>"</strong><br><?
               $fname=safe_file_names($file_info['name']) ;
               $target_fname=_DIR_TO_ROOT._UPLOADS_DIR.$fname ;
               if (is_uploaded_file($file_info['tmp_name']))
                   if (move_uploaded_file($file_info['tmp_name'],$target_fname)) { echo '<div class="green">Файл успешно сохранен</div>' ; $result['file_name'][]=$fname  ; }
                   else                                                          echo '<div class="red">Не удалось сохранить файл</div>' ;


               $rec_section=POLL()->get_theme_by_id($_POST['section_id']) ;  // print_r($result) ;
               if (!$rec_section['pkey']) echo '<div class=alert>Не найден раздел опроса ID '.$_POST['section_id'].'</div>' ;
               // регистрируем файл в мероприятии
               else if (_sizeof($result['file_name'])) foreach($result['file_name'] as $saved_img_file_name)
               { $data=array('obj_name'=>hide_server_dir(_UPLOADS_DIR.$saved_img_file_name)) ;
                 $data['indx']=_sizeof($result['scan_id'])+1 ;
                 $scan_reffer=POLL()->reg_section_content_file($_POST['section_id'],$data) ;
                 list($id,$tkey)=explode('.',$scan_reffer) ;
                 $result['scan_id'][]=$id  ;
                 echo 'Документ успешно добавлен в раздел опроса, ID='.$id.'<br>' ;
               }
               // получаем список всего контента и отправляем обратно
               ob_start() ;
               ?><div id="panel_report"><?
               include_once(_DIR_EXT.'/events_media/report_events_media_content.php') ;
               $report_obj=new report_events_media_content() ;
               $report_obj->filter['order']='pkey desc';
               $report_obj->event_id=$_POST['event_id'] ;
               $report_obj->view() ;
               ?></div><?
               $result['PanelReportHTML']=ob_get_clean() ;
           }
           $result['status']='ok'  ;
       }
       else $result['status']='error'  ;
       return($result) ;
    }



}
